Get a tracked keyword's ranking history (or one app's rank over time with app=).
curl --request GET \
--url https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"at": "2023-11-07T05:31:56Z",
"changed": true,
"rank": 123,
"appIds": [
"<string>"
]
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Keywords
Get tracked keyword ranks
GET
/
tracked-keywords
/
{id}
/
ranks
Get a tracked keyword's ranking history (or one app's rank over time with app=).
curl --request GET \
--url https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/tracked-keywords/{id}/ranks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"at": "2023-11-07T05:31:56Z",
"changed": true,
"rank": 123,
"appIds": [
"<string>"
]
}
],
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Path Parameters
Query Parameters
Default 90 days ago.
Store app id; returns rank per point instead of the full id list.